#!/bin/bash
if [[ -z "$1" || -z "$2" ]]; then
  exit 1
fi
if [ -s "$1" ]; then
  if [[ "$2" =~ DATE|VERSION|CABLE|DRIVER|UPSMODE|STARTTIME|MODEL|LASTXFER|STATFLAG|FIRMWARE|'END APC' ]]; then
    QUERY=`cat "$1" | grep -iw "$2" | cut -d':' -f 2,3,4,5 | head -n1`
  else
    QUERY=`cat "$1" | grep -iw "$2" | cut -d':' -f 2 | awk '{print \$1}'`
  fi
  if [ "$2" = "STATUS" ]; then
    if [[ "${QUERY}" = *ONLINE* ]]; then
      echo "1"
    else
      echo "0"
    fi
  else
    echo "${QUERY}"
  fi
else
  exit 1
fi
